using UnityEngine;
using System.Collections.Generic;

public class Stunnable : MonoBehaviour 
{

    private bool stunned = false;

	void Start () {
        //stunned = true;
	}

    void Slammed()
    {
        stunned = true;
    }

    public void PlanTurn(List<TurnAction> actions)
    {
        if(stunned)
        {
            stunned = false;
            actions.Add(new ActionWait(999));
        }
    }
}
